"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const url = require("url");
class ContentLoader {
    constructor(httpClient, fileSystem) {
        this.httpClient = httpClient;
        this.fileSystem = fileSystem;
    }
    static isUrl(location) {
        const urlObject = url.parse(location);
        return urlObject.protocol !== null;
    }
    load(location) {
        return ContentLoader.isUrl(location)
            ? this.httpClient.get(location)
            : this.fileSystem.readFile(location);
    }
}
exports.ContentLoader = ContentLoader;
